Skip to main content
PATCH
/
api
/
v1
/
calendars
/
{calendarId}
/
event-types
/
{eventTypeId}
Update an event type
curl --request PATCH \
  --url https://prod.featherhq.com/api/v1/calendars/{calendarId}/event-types/{eventTypeId} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>",
  "slug": "<string>",
  "description": "<string>",
  "duration": 2,
  "slotInterval": 2,
  "minimumBookingNotice": 1,
  "beforeEventBuffer": 1,
  "afterEventBuffer": 1,
  "periodType": "UNLIMITED",
  "periodDays": 2,
  "periodStartDate": "2023-12-25",
  "periodEndDate": "2023-12-25",
  "scheduleId": "<string>",
  "location": "<string>",
  "addGoogleMeet": true,
  "metadata": null,
  "active": true
}
'
{
  "id": "<string>",
  "calendarId": "<string>",
  "name": "<string>",
  "slug": "<string>",
  "description": "<string>",
  "duration": 123,
  "slotInterval": 123,
  "minimumBookingNotice": 123,
  "beforeEventBuffer": 123,
  "afterEventBuffer": 123,
  "periodType": "UNLIMITED",
  "periodDays": 123,
  "periodStartDate": "<string>",
  "periodEndDate": "<string>",
  "scheduleId": "<string>",
  "location": "<string>",
  "addGoogleMeet": true,
  "active": true,
  "archived": true,
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "metadata": null
}

Authorizations

X-API-Key
string
header
required

Path Parameters

calendarId
string
required
eventTypeId
string
required

Body

application/json
name
string
Required string length: 1 - 255
slug
string
Required string length: 1 - 255
description
string | null
Maximum string length: 1000
duration
number
Required range: x >= 1
slotInterval
number | null
Required range: x >= 1
minimumBookingNotice
number
Required range: x >= 0
beforeEventBuffer
number
Required range: x >= 0
afterEventBuffer
number
Required range: x >= 0
periodType
enum<string>
Available options:
UNLIMITED,
ROLLING,
RANGE
periodDays
number | null
Required range: x >= 1
periodStartDate
string<date> | null
periodEndDate
string<date> | null
scheduleId
string | null
location
string | null
addGoogleMeet
boolean
metadata
unknown
active
boolean

Response

Event type updated

id
string
required
calendarId
string
required
name
string
required
slug
string
required
description
string | null
required
duration
number
required
slotInterval
number | null
required
minimumBookingNotice
number
required
beforeEventBuffer
number
required
afterEventBuffer
number
required
periodType
enum<string>
required
Available options:
UNLIMITED,
ROLLING,
RANGE
periodDays
number | null
required
periodStartDate
string | null
required
periodEndDate
string | null
required
scheduleId
string | null
required
location
string | null
required
addGoogleMeet
boolean
required
active
boolean
required
archived
boolean
required
createdAt
string
required
updatedAt
string
required
metadata
unknown